Skip to content

Creates an API key for a managed merchant

Request

POST {{baseURL}}/v2/partner/api-keys

This endpoint creates an API key for a merchant managed by the partner account.

The response is the only place clientSecret is ever shown. Store it securely. If it is lost, revoke the key with DELETE /v2/partner/api-keys/{{clientId}} and create a new one.

This endpoint requires a partner API token. A merchant API token, even one belonging to a merchant managed by the partner account, is rejected with a 403 response. A token that resolves to neither a merchant nor a partner also returns a 403 response. The partner account must also have the GeneralConfigurations permission. Otherwise, the request returns a 403 response. A merchantId for a merchant outside the partner account returns a 404 response.

See Also:
To list the partner's merchants, see GET /v2/partner/merchants.
To list API keys, see GET /v2/partner/api-keys.
To revoke an API key, see DELETE /v2/partner/api-keys/{{clientId}}.

Security
Bearer
Bodyapplication/jsonrequired

merchantIdstring, (UUID)required

Identifies the merchant identifier.

Example: 5611f824-48ef-4255-978d-91ce13953bbd

Example:"5611f824-48ef-4255-978d-91ce13953bbd"
apiKeyNamestring, [ 1 .. 80 ] charactersrequired

Specifies a display name for the API key.

Example: Production integration key

Example:"Production integration key"
// Language is not supported.

Responses

OK

Bodyapplication/json
clientIdstring, (UUID)

Indicates the client identifier.

Example: 919c19ac-09cf-40c1-b093-413b9cabde43

Example:"919c19ac-09cf-40c1-b093-413b9cabde43"
clientSecretstring or null, (UUID)

Indicates the client secret.

The client secret is returned once and only during its creation here. Store it securely. Protect the clientSecret as if it were a password.

Example: bcaa0840-2872-44ea-9122-552a804a054a

Example:"bcaa0840-2872-44ea-9122-552a804a054a"
apiKeyNamestring or null

Indicates the display name for the API key, as sent in the request.

Example: Production API Key

Example:"Production API Key"
merchantIdstring, (UUID)

Identifies the merchant the key authenticates as.

Example: 0b627967-4204-4d7a-aa13-e6eb0d58f543

Example:"0b627967-4204-4d7a-aa13-e6eb0d58f543"
createdOnstring, (ISO 8601 date-time)

Indicates date-time (in an ISO 8601 UTC date-time format) the key was created.

Example: 2026-06-24T19:27:05.021Z

Example:"2026-06-24T19:27:05.021Z"
Response
{ "clientId": "97e7c13c-059c-4734-b017-2a20847a79d0", "clientSecret": "1f80d6e1-9901-48b6-a862-6cfad1612e99", "apiKeyName": "Production API Key", "merchantId": "0b627967-4204-4d7a-aa13-e6eb0d58f543", "createdOn": "2026-06-24T19:27:05.021Z" }